from django.core.management.base import BaseCommand
from optparse import make_option

from newsletter.utils.importation import excel_contacts_import, text_contacts_import

class Command(BaseCommand):
    """Loop on all bounce Accounts and parse all messages"""
    help = 'Load contacts from excel'
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='file',
            help='file da importare'),
        make_option('-t', '--type', dest='type',
            help='xls o csv'),
    )

    def handle(self, *scripts, **opts):
        file = open(opts.get('file'), 'r')
        tipo = opts.get('type')

        if tipo == 'xls':
            excel_contacts_import(file)
        if tipo == 'csv':
            text_contacts_import(file, verbose=True)
        else:
            print "Il tipo puo' essere solo xsl o csv"